OpenNMS API 1.2.9

## org.opennms.web.eventconf
Class EventConfFactory

    java.lang.Object
      org.opennms.web.eventconf.EventConfFactory

public class EventConfFactory
extends java.lang.Object

Field Summary
`private java.io.File` `m_eventConfFile`
`private EventConfWriter` `m_eventConfWriter`
`private java.util.List` `m_events`
`private java.util.Map` `m_eventsMap`
`private static java.util.Map` `m_factoryInstances`
`private Global` `m_globalInformation`
`private long` `m_lastModified`

Constructor Summary
`private` `EventConfFactory(java.lang.String fileName)`

Method Summary
`boolean` `eventHasNotice(java.lang.String uei, java.lang.String notice)`
`Event` `getEvent(java.lang.String uei)`
`java.util.List` `getEvents()`
`java.util.Map` `getEventsMap()`
`java.util.List` `getEventUEIs()`
`static EventConfFactory` `getInstance()`
`static EventConfFactory` `getInstance(java.lang.String fileName)`
`private java.util.Map` `makeMap(java.util.List eventsList)`
`void` `reloadXML()`
`void` `removeEvent(java.lang.String uei)`
`void` `renameEvent(java.lang.String newName, Event event)`
`void` `saveEvent(Event event)` This method saves an event configuration.
`void` `saveEvents(java.util.Collection eventsList)`
`private void` `writeXML(java.util.Collection events)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_factoryInstances

    private static java.util.Map m_factoryInstances

### m_eventConfWriter

    private EventConfWriter m_eventConfWriter

### m_eventConfFile

    private java.io.File m_eventConfFile

### m_events

    private java.util.List m_events

### m_globalInformation

    private Global m_globalInformation

### m_lastModified

    private long m_lastModified

### m_eventsMap

    private java.util.Map m_eventsMap

Constructor Detail

### EventConfFactory

    private EventConfFactory(java.lang.String fileName)
                      throws java.lang.Exception

Method Detail

### getInstance

    public static EventConfFactory getInstance()
                                        throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getInstance

    public static EventConfFactory getInstance(java.lang.String fileName)
                                        throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### reloadXML

    public void reloadXML()
                   throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### makeMap

    private java.util.Map makeMap(java.util.List eventsList)

### getEvents

    public java.util.List getEvents()

### getEventsMap

    public java.util.Map getEventsMap()

### eventHasNotice

    public boolean eventHasNotice(java.lang.String uei,
                                  java.lang.String notice)

### getEvent

    public Event getEvent(java.lang.String uei)

### getEventUEIs

    public java.util.List getEventUEIs()

### saveEvents

    public void saveEvents(java.util.Collection eventsList)
                    throws XMLWriteException

  Throws:
    `XMLWriteException`

### removeEvent

    public void removeEvent(java.lang.String uei)
                     throws XMLWriteException

  Throws:
    `XMLWriteException`

### saveEvent

    public void saveEvent(Event event)
                   throws XMLWriteException

  This method saves an event configuration. NOTE: If an existing event config has the same uei as the new one it will be overridden (updated) by the new event config.

  Parameters:
    `event` - the event configuration to be saved.
  Throws:
    `XMLWriteException`

### renameEvent

    public void renameEvent(java.lang.String newName,
                            Event event)
                     throws XMLWriteException

  Throws:
    `XMLWriteException`

### writeXML

    private void writeXML(java.util.Collection events)
                   throws XMLWriteException

  Throws:
    `XMLWriteException`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.